<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.2.2
 * @lastmodified    September 1, 2015
 */
 
// prevent this file from being accessed directly
if(!defined('WB_PATH')) die(header('Location: index.php'));  

if (!function_exists('db_add_field')) {
	function db_add_field($field, $table, $desc) {
		global $database;
		$query = $database->query("DESCRIBE $table '$field'");
		if(!$query || $query->numRows() == 0) { // add field
			$query = $database->query("ALTER TABLE $table ADD $field $desc");
			echo (mysql_error()?mysql_error().'<br />':'');
			$query = $database->query("DESCRIBE $table '$field'");
			echo (mysql_error()?mysql_error().'<br />':'');
		}
	}
}
 
// Safely add field that were added after v1.0.0
$table_data = TABLE_PREFIX."mod_btcolumns_settings";
db_add_field("rowflex", $table_data, "INT NOT NULL DEFAULT '0'");
db_add_field("framework", $table_data, "INT NOT NULL DEFAULT '1'");
db_add_field("categories", $table_data, "VARCHAR(255) NOT NULL DEFAULT ''");

$table_data = TABLE_PREFIX."mod_btcolumns_content";
db_add_field("category", $table_data, "VARCHAR(255) NOT NULL DEFAULT ''");
db_add_field("link", $table_data, "INT NOT NULL DEFAULT '0'");
db_add_field("linktitle", $table_data, "VARCHAR(255) NOT NULL DEFAULT ''");
db_add_field("oclass", $table_data, "VARCHAR(255) NOT NULL DEFAULT ''");
db_add_field("aclass", $table_data, "VARCHAR(255) NOT NULL DEFAULT ''");


?>