<?php
/**
 *
 * @category        page module
 * @package         Bootstrap Multiple Columns
 * @author          Ruud Eisinga
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x
 * @requirements    PHP 5.3.6 and higher
 * @version         1.2.2
 * @lastmodified    September 1, 2015
 */

 // Must include code to stop this file being access directly
if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }

global $MODIFY_SETTINGS;
require_once(WB_PATH.'/modules/btcolumns/languages/EN.php');
if(file_exists(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php')) {
	require_once(WB_PATH.'/modules/btcolumns/languages/'.LANGUAGE.'.php');
}

require_once(dirname(__FILE__).'/functions.php');
$sMediaUrl = WB_URL.MEDIA_DIRECTORY;


$query_settings = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_btcolumns_settings` WHERE section_id='$section_id' LIMIT 1");
$fetch_settings = $query_settings->fetchRow();
$framework = $fetch_settings['framework'];
$showtitle = $fetch_settings['showtitle'];
$rowflex = $fetch_settings['rowflex'];
$xswidth = $fetch_settings['xswidth'];
$smwidth = $fetch_settings['smwidth'];
$mdwidth = $fetch_settings['mdwidth'];
$lgwidth = $fetch_settings['lgwidth'];
$flex = $rowflex ? 'eq-cols':'';

$query_columns = $database->query("SELECT * FROM `".TABLE_PREFIX."mod_btcolumns_content` WHERE section_id='".$section_id."' ORDER BY pos ASC");
if($cnt = $query_columns->numRows()) {
	$fetch_settings['count'] = $cnt;
	
	echo "\n";
	echo __getRow($fetch_settings,1);
	while($quest = $query_columns->fetchRow()) {
		$title = $quest['title'];
		if(!$title) $title = "&nbsp;";
		$content= $quest['content'];
		$content = str_replace('{SYSVAR:MEDIA_REL}', $sMediaUrl, $content );
		$wb->preprocess($content);
		$link = $quest['link'];
		$linktitle = $quest['linktitle'];
		if(!$linktitle) $linktitle = "&nbsp;";
		if($link) {
			$link = '<a href="[wblink'.$link.']">'.$linktitle.'</a>';
			$wb->preprocess($link);
		}
		$tmp = $quest['category'];
		
		echo __getCols($fetch_settings,$quest,0,1);
		echo '<div class="btcolumn">';
		if($showtitle) echo '<div class="btcolumn-title">'.$title.'</div>';
					   echo '<div class="btcolumn-content">'.$content.'</div>';
		if($link) 	   echo '<div class="btcolumn-link'.($rowflex?'':' noabs').'">'.$link.'</div>';
		echo '<div style="clear:both;"></div>';
		echo '</div>';
		echo __getCols($fetch_settings,$quest,0,0);
	}
	echo __getRow($fetch_settings,0);
	echo "\n";
	
}

if(!defined('BTCOLUMNS')) define('BTCOLUMNS',true);
?>
