<?php

/*
 Website Baker Project <http://www.websitebaker.org/>
 Copyright (C) 2004-2007, Ryan Djurovich

 Website Baker is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 Website Baker is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Website Baker; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

$MODIFY_SETTINGS['MODTITLE'] = 'Responsive WYSIWYG Columns';

$MODIFY_SETTINGS['ADD_COLUMN'] = 'Add new column';
$MODIFY_SETTINGS['SETTINGS'] = 'Change settings';
$MODIFY_SETTINGS['SCREENSIZE'] = 'Screen size';
$MODIFY_SETTINGS['XSWIDTH'] = 'XS - Number of columns';
$MODIFY_SETTINGS['SMWIDTH'] = 'SM - Number of columns';
$MODIFY_SETTINGS['MDWIDTH'] = 'MD - Number of columns';
$MODIFY_SETTINGS['LGWIDTH'] = 'LG - Number of columns';
$MODIFY_SETTINGS['SHOWTITLE'] = 'Show title in output';
$MODIFY_SETTINGS['ROWFLEX'] = 'Force columns same height';
$MODIFY_SETTINGS['ROWFLEX-HELP'] = '';

$MODIFY_SETTINGS['TITLE'] = 'Title';
$MODIFY_SETTINGS['CONTENT'] = 'Content';
$MODIFY_SETTINGS['YES'] = 'Yes';
$MODIFY_SETTINGS['NO'] = 'No';

$MODIFY_SETTINGS['XS-HELP'] = 'Extra small devices (Phones)';	
$MODIFY_SETTINGS['SM-HELP'] = 'Small devices (Phone/Tablets)';
$MODIFY_SETTINGS['MD-HELP'] = 'Medium devices (Tablet/Laptops)'; 	
$MODIFY_SETTINGS['LG-HELP'] = 'Large devices (Laptops/Desktops)';


$MODIFY_SETTINGS['FRAMEWORK'] = 'Responsive framework';
$MODIFY_SETTINGS['FR0'] = 'Self made / custom';
$MODIFY_SETTINGS['FR1'] = 'Bootstrap';
$MODIFY_SETTINGS['FR2'] = 'Material Design Lite';
$MODIFY_SETTINGS['FR3'] = 'Zurb Foundation';
$MODIFY_SETTINGS['FR4'] = 'Skeleton Boilerplate (12 columns)';
$MODIFY_SETTINGS['FR5'] = 'HTML KickStart';
$MODIFY_SETTINGS['FR6'] = 'Tables (NOT responsive)';


$MODIFY_SETTINGS['CATEGORIES'] = 'Categories (comma seperated list)';
$MODIFY_SETTINGS['ALLCATEGORIES'] = 'All';
$MODIFY_SETTINGS['CATEGORIES-HELP'] = 'Use a comma seperated list that can be added to a column for filtering on the website';
$MODIFY_SETTINGS['CATEGORY'] = 'Select category';
$MODIFY_SETTINGS['LINK'] = 'Link (bottom button)';
$MODIFY_SETTINGS['LINKTITLE'] = 'Link text';
$MODIFY_SETTINGS['ADVANCEDOPEN'] = 'Open advanced settings';
$MODIFY_SETTINGS['ADVANCEDCLOSE'] = 'Close advanced settings';
$MODIFY_SETTINGS['GENCLASS'] = 'Generated classes';
$MODIFY_SETTINGS['OVERCLASS'] = 'Overrule classes';
$MODIFY_SETTINGS['EXTRACLASS'] = 'Additional classes';

$HELP[0] = "";
$HELP[1] = '<h3>Bootstrap</h3>Bootstrap is the most popular HTML, CSS, and JS framework for developing responsive, mobile first projects on the web.<br/>More information about Bootstrap on: <a href="http://getbootstrap.com" target="_blank">GetBoostrap</a>';
$HELP[2] = "";
$HELP[3] = '<h3>Foundation</h3>The most advanced responsive front-end framework in the world.<br/>More information about Foundation on: <a href="http://foundation.zurb.com/" target="_blank">foundation.zurb.com</a>';
$HELP[4] = '<h3>Skeleton</h3>A dead simple, responsive boilerplate.<br/>More information about Skeleton on: <a href="http://getskeleton.com/" target="_blank">getskeleton.com</a>';
$HELP[5] = '<h3>HTML KickStart</h3>Ultra–Lean HTML5, CSS, & JS Building Blocks for Rapid Website Production<br/>More information about Foundation on: <a href="http://www.99lime.com/elements/" target="_blank">www.99lime.com</a>';
$HELP[6] = '<h3>Tables</h3>Not responsive, but it will help you in setting up some columns in older templates.';


?>
